{
  "name": "ui",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "typecheck": "yarn g:tsc --noEmit",
    "build": "MODE=devnet yarn run build:base --mode devnet",
    "build:base": "yarn g:tsc -p ./tsconfig.build.json && vite build --mode $MODE",
    "build:production": "MODE=production yarn run build:base ",
    "lint": "yarn g:lint .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@coinweb/wallet-lib": "0.1.115",
    "@coinweb/webapp-library": "0.1.6",
    "axios": "^1.7.2",
    "contract.cm": "workspaces:*",
    "qrcode.react": "^4.2.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-router-dom": "^6.22.3",
    "tailwind-merge": "^2.4.0",
    "tailwindcss": "^3.4.4",
    "uuid": "^11.0.2"
  },
  "devDependencies": {
    "@types/big.js": "^6",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@types/uuid": "^9.0.8",
    "@vitejs/plugin-react": "^4.2.1",
    "autoprefixer": "^10.4.19",
    "jsdom": "^24.0.0",
    "postcss": "^8.4.39",
    "postcss-cli": "^11.0.0",
    "rollup-plugin-visualizer": "^5.14.0",
    "vite": "^5.1.6",
    "vite-plugin-node-polyfills": "^0.21.0",
    "vite-plugin-wasm": "^3.3.0"
  }
}
